/*
  Copyright (C) 2002-2005 JAsCo Development Team
  http://ssel.vub.ac.be/jasco

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
 */
package jasco.tools.connectorparser;

public class PCutpointExecution 
{

	public final static int BEFORE = 0;
	public final static int AFTER = 1;
	public final static int REPLACE = 2;
	public final static int DEFAULT = 3;

	private String cutpointexecutionname = null;
	private int cutpointadaptatationtype = DEFAULT;
	private String parameters = null;
	private int executionnumber;
	
	PCutpointExecution()
	{
	}
	
	public void setCutpointExecutionName(String aCutpointExecutionName)
	{
		cutpointexecutionname = aCutpointExecutionName;
	}
	
	public String getCutpointExecutionName()
	{
		return cutpointexecutionname;
	}
	
	public void setCutpointAdaptationType(int aType)
	{
		cutpointadaptatationtype = aType;
	}
	
	public int getCutpointAdaptationType()
	{
		return cutpointadaptatationtype;
	}
	
	public void setParameter(String aParameters)
	{
		parameters = aParameters;
	}
	
	public String getParameters()
	{
		return parameters;
	}
	
	public void setExecutionNumber(int aNumber)  { 
          executionnumber = aNumber; 
     } 
     
    public int getExecutionNumber() {
          return executionnumber;
     }

}