package test.basic;

import javax.swing.*;

import jasco.runtime.aspect.*;

import sunw.demo.juggler.*;

class TargetTest {

	hook TargetHook {
		
		private String test = "EXECUTING : ";
		
		TargetHook(method(..args)) {
			execution(method)&&target(Juggler);
		}
		
	
		after() {
			
			//avoid loops
			if(thisJoinPoint.getName().indexOf("Size")!=-1)
				return;
			System.out.println("method encountered on the juggler"+thisJoinPointObject.getPreferredSize());
		}
	
		
		after throwing(Exception ex) {
			System.out.println("captured exception "+ex.getMessage());
		}

	}
}